xine-lib: xine-lib-1.2.12/src/video_out/video_out_aa.c File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions | Variables
video_out_aa.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stdarg.h>`
`#include <unistd.h>`
`#include <pthread.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <sys/mman.h>`
`#include <sys/time.h>`
`#include <aalib.h>`
`#include "xine.h"`
`#include <xine/video_out.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`

## Data Structures
struct | aa_frame_s
struct | aa_driver_t
struct | aa_class_t

## Typedefs
typedef struct aa_frame_s | aa_frame_t

## Functions
static uint32_t | aa_get_capabilities (vo_driver_t *this)
static void | aa_dispose_frame (vo_frame_t *vo_img)
static void | aa_frame_field (vo_frame_t *vo_img, int which_field)
static vo_frame_t * | aa_alloc_frame (vo_driver_t *this_gen)
static void | aa_update_frame_format (vo_driver_t *this_gen, vo_frame_t *img, uint32_t width, uint32_t height, double ratio, int format, int flags)
static void | aa_display_frame (vo_driver_t *this_gen, vo_frame_t *frame_gen)
static int | aa_get_property (vo_driver_t *this_gen, int property)
static int | aa_set_property (vo_driver_t *this_gen, int property, int value)
static void | aa_get_property_min_max (vo_driver_t *this_gen, int property, int *min, int *max)
static void | aa_dispose (vo_driver_t *this_gen)
static int | aa_redraw_needed (vo_driver_t *this_gen)
static vo_driver_t * | open_plugin (video_driver_class_t *class_gen, const void *visual_gen)
static void * | init_class (xine_t *xine, const void *visual_gen)

## Variables
static const vo_info_t | vo_info_aa
const plugin_info_t xine_plugin_info[] | EXPORTED

## Typedef Documentation

## ◆ aa_frame_t

typedef struct aa_frame_s aa_frame_t

## Function Documentation

## ◆ aa_alloc_frame()

static vo_frame_t * aa_alloc_frame | ( | vo_driver_t * | this_gen | ) |
| static

References aa_dispose_frame(), aa_frame_field(), vo_frame_s::dispose, vo_frame_s::driver, vo_frame_s::field, vo_frame_s::mutex, NULL, vo_frame_s::proc_frame, vo_frame_s::proc_slice, and aa_frame_s::vo_frame.

Referenced by open_plugin().

## ◆ aa_display_frame()

static void aa_display_frame | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | frame_gen
| ) |  |
| static

References vo_frame_s::base, aa_frame_s::format, vo_frame_s::free, aa_frame_s::height, aa_frame_s::vo_frame, aa_frame_s::width, and XINE_IMGFMT_YV12.

Referenced by open_plugin().

## ◆ aa_dispose()

static void aa_dispose | ( | vo_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ aa_dispose_frame()

static void aa_dispose_frame | ( | vo_frame_t * | vo_img | ) |
| static

References vo_frame_s::base, aa_frame_s::vo_frame, and xine_free_aligned().

Referenced by aa_alloc_frame().

## ◆ aa_frame_field()

static void aa_frame_field | ( | vo_frame_t * | vo_img,
|  | int | which_field
| ) |  |
| static

Referenced by aa_alloc_frame().

## ◆ aa_get_capabilities()

static uint32_t aa_get_capabilities | ( | vo_driver_t * | this | ) |
| static

References VO_CAP_YUY2, and VO_CAP_YV12.

Referenced by open_plugin().

## ◆ aa_get_property()

static int aa_get_property | ( | vo_driver_t * | this_gen,
|  | int | property
| ) |  |
| static

References VO_PROP_ASPECT_RATIO, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by open_plugin().

## ◆ aa_get_property_min_max()

static void aa_get_property_min_max | ( | vo_driver_t * | this_gen,
|  | int | property,
|  | int * | min,
|  | int * | max
| ) |  |
| static

Referenced by open_plugin().

## ◆ aa_redraw_needed()

static int aa_redraw_needed | ( | vo_driver_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ aa_set_property()

static int aa_set_property | ( | vo_driver_t * | this_gen,
|  | int | property,
|  | int | value
| ) |  |
| static

References VO_PROP_ASPECT_RATIO, XINE_VERBOSITY_DEBUG, XINE_VO_ASPECT_AUTO, XINE_VO_ASPECT_NUM_RATIOS, and xprintf.

Referenced by open_plugin().

## ◆ aa_update_frame_format()

static void aa_update_frame_format | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | img,
|  | uint32_t | width,
|  | uint32_t | height,
|  | double | ratio,
|  | int | format,
|  | int | flags
| ) |  |
| static

References vo_frame_s::base, aa_frame_s::format, height, aa_frame_s::height, vo_frame_s::pitches, aa_frame_s::ratio, aa_frame_s::vo_frame, vo_frame_s::width, width, aa_frame_s::width, xine_freep_aligned, XINE_IMGFMT_YUY2, XINE_IMGFMT_YV12, xine_mallocz_aligned(), XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by open_plugin().

## ◆ init_class()

static void * init_class | ( | xine_t * | xine,
|  | const void * | visual_gen
| ) |  |
| static

References default_video_driver_class_dispose, video_driver_class_s::description, video_driver_class_s::dispose, aa_class_t::driver_class, video_driver_class_s::identifier, N_, NULL, open_plugin(), video_driver_class_s::open_plugin, and aa_class_t::xine.

## ◆ open_plugin()

static vo_driver_t * open_plugin | ( | video_driver_class_t * | class_gen,
|  | const void * | visual_gen
| ) |  |
| static

References aa_alloc_frame(), aa_display_frame(), aa_dispose(), aa_get_capabilities(), aa_get_property(), aa_get_property_min_max(), aa_redraw_needed(), aa_set_property(), aa_update_frame_format(), NULL, and aa_class_t::xine.

Referenced by init_class().

## Variable Documentation

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_VIDEO_OUT, 22, "aa", XINE_VERSION_CODE, &vo_info_aa, init_class },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
vo_info_aa
static const vo_info_t vo_info_aa
Definition: video_out_aa.c:323
init_class
static void * init_class(xine_t *xine, const void *visual_gen)
Definition: video_out_aa.c:303
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29
PLUGIN_VIDEO_OUT
#define PLUGIN_VIDEO_OUT
Definition: xine_plugin.h:36

## ◆ vo_info_aa

const vo_info_t vo_info_aa
| static

Initial value:
= {
.priority = 6,
.visual_type = XINE_VISUAL_TYPE_AA,
}
XINE_VISUAL_TYPE_AA
#define XINE_VISUAL_TYPE_AA
Definition: xine.h:156